aboutsummaryrefslogtreecommitdiffstats
path: root/community/xapian-bindings
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2016-11-01 06:33:20 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-11-01 06:33:20 +0000
commit9707da1070f5454dbb27fa31634c3fd0e7d3cb7c (patch)
tree1a0b195d1dfbc4c9b2783b21697c7b918d6725e2 /community/xapian-bindings
parent1978b648be9378b50268ecc2535ea76a35d99a7c (diff)
downloadaports-9707da1070f5454dbb27fa31634c3fd0e7d3cb7c.tar.gz
aports-9707da1070f5454dbb27fa31634c3fd0e7d3cb7c.tar.bz2
aports-9707da1070f5454dbb27fa31634c3fd0e7d3cb7c.tar.xz
community/xapian-bindings: simplify apkbuild
no packaging changes.
Diffstat (limited to 'community/xapian-bindings')
-rw-r--r--community/xapian-bindings/APKBUILD46
1 files changed, 21 insertions, 25 deletions
diff --git a/community/xapian-bindings/APKBUILD b/community/xapian-bindings/APKBUILD
index 69ed0d2500..7b2b16d973 100644
--- a/community/xapian-bindings/APKBUILD
+++ b/community/xapian-bindings/APKBUILD
@@ -18,25 +18,21 @@ makedepends="automake autoconf libtool bash
ruby-dev ruby ruby-rdoc ruby-irb
tcl-dev"
subpackages="$pkgname-perl $pkgname-lua $pkgname-doc
- $pkgname-php $pkgname-python $pkgname-ruby $pkgname-tcl"
+ $pkgname-php $pkgname-python $pkgname-ruby $pkgname-tcl"
install=""
source="http://www.oligarchy.co.uk/xapian/$pkgver/$pkgname-$pkgver.tar.xz"
-_builddir="$srcdir"/$pkgname-$pkgver
+
+builddir="$srcdir"/$pkgname-$pkgver
prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ default_prepare || return 1
+ cd "$builddir"
aclocal && autoconf || return 1
libtoolize || return 1
autoreconf -fvi || return 1
}
build() {
- cd "$_builddir"
+ cd "$builddir"
export LUA=/usr/bin/lua5.2
export LUA_INC=/usr/include/lua5.2
export LUA_LIB=/usr/lib/lua/5.2
@@ -68,53 +64,53 @@ build() {
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR=$pkgdir install || return 1
}
php() {
- arch="all"
- pkgdesc="PHP bindings for the Xapian search engine library"
- install -d "$subpkgdir"/usr/share/php5 \
- "$subpkgdir"/usr/lib/$_php/modules \
- "$subpkgdir"/etc/$_php/conf.d || return 1
- echo ';extension=xapian.so' > "$subpkgdir/etc/$_php/conf.d/xapian.ini" \
- || return 1
- mv "$pkgdir"/usr/lib/$_php/modules/* "$subpkgdir"/usr/lib/$_php/modules/
- mv "$pkgdir"/usr/share/php5 "$subpkgdir"/usr/share/
+ pkgdesc="PHP bindings for the Xapian search engine library"
+
+ install -d "$subpkgdir"/usr/share/php5 \
+ "$subpkgdir"/usr/lib/$_php/modules \
+ "$subpkgdir"/etc/$_php/conf.d || return 1
+ echo ';extension=xapian.so' > "$subpkgdir/etc/$_php/conf.d/xapian.ini" \
+ || return 1
+ mv "$pkgdir"/usr/lib/$_php/modules/* "$subpkgdir"/usr/lib/$_php/modules/
+ mv "$pkgdir"/usr/share/php5 "$subpkgdir"/usr/share/
}
perl() {
- arch="all"
pkgdesc="Perl bindings for the Xapian search engine library"
+
install -d "$subpkgdir"/usr/share/perl5
mv "$pkgdir"/usr/share/perl5 "$subpkgdir"/usr/share/
}
lua() {
- arch="all"
pkgdesc="Lua bindings for the Xapian search engine library"
+
install -d "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/lua "$subpkgdir"/usr/lib
}
python() {
- arch="all"
pkgdesc="Python bindings for the Xapian search engine library"
+
install -d "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/python2.7 "$subpkgdir"/usr/lib
}
ruby() {
- arch="all"
pkgdesc="Ruby bindings for the Xapian search engine library"
+
install -d "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/ruby "$subpkgdir"/usr/lib
}
tcl() {
- arch="all"
pkgdesc="Tcl bindings for the Xapian search engine library"
+
install -d "$subpkgdir"/usr/lib/tcl8.6
mv "$pkgdir"/usr/lib/tcl8.6/$pkgname-$pkgver "$subpkgdir"/usr/lib/tcl8.6
}